{% set current_role = topology.roles.get(current_group_role) %}
# Sets the maximum number of seconds to wait before retransmitting a packet.
# The default is 10 seconds.
#
# backoff-cutoff seconds;
backoff-cutoff 2;

# Sets the number of seconds between the first packet transmission and the
# first retransmission of the packet. The default is 1 second.
#
# initial-interval seconds;
initial-interval 1;

{% if is_openbsd %}
# Sets the number of seconds to wait for a lease before going into the
# background as a daemon. The default is 10 seconds.
#
# link-timeout seconds;
link-timeout 10;

{% endif %}
# Sets the number of seconds to wait before giving up on reacquiring the
# previous lease, and how long to attempt unicast renewal requests before
# falling back to broadcast renewal requests. The default is 1 second.
#
# reboot seconds;
reboot 0;

# Sets the number of seconds to wait before starting a new attempt to obtain a
# lease. The default is 1 second.
# retry seconds;
retry 10;

# Sets the number of seconds to wait for additional leases after the first
# lease arrives. After select-timeout seconds the best lease received will be
# selected. The default is 0 seconds, i.e. immediately use the first acceptable
# lease received.
#
# select-timeout seconds;
select-timeout 0;

# Sets the number of seconds to wait for a lease. If no lease is received the
# first valid lease in dhclient.leases(5) will be used. The default is 30
# seonds.
#
# timeout seconds;
timeout 30;

# Ask that any lease contain values for the listed options. request statements
# are cumulative, except that an empty list will remove all previously
# specified options. The default is to request the options bootfile-name
# broadcast-address, classless-static-routes, host-name, domain-name,
# domain-name-servers, domain-search, routers, subnet-mask, tftp-server-name
# and time-offset.
#
# request [option, ...];
request subnet-mask,
        broadcast-address,
        routers,
        domain-name,
        domain-name-servers,
        domain-search,
        host-name,
        ntp-servers;

{% for interface_name in current_role.interfaces %}
{% if current_role.interfaces.get(interface_name).dhcp_client == true %}
interface "{{ interface_name }}" {
    supersede domain-search "{{ topology.domain_name }}";
{% if current_group_role == "router" %}
    supersede domain-name-servers 127.0.0.1;
    supersede ntp-servers 127.0.0.1;
{% else %}
    supersede domain-name-servers {{ topology.domain_name_server }};
    supersede ntp-servers {{ topology.ntp_server }};
{% endif %}
}
{% endif %}
{% endfor %}
